List all the active subscriptions

Purpose: Use this API to fetch a list of all the active vehicle subscriptions.

If you want to narrow down the results, you may enter the ID of the vehicle or the name of the vehicle, to view if you are subscribed to it or not.

require 'uri'
require 'net/http'

url = URI('https://api.gomotive.com/v1/freight_visibility/vehicle_subscriptions')

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request['Authorization'] = "Bearer <OAUTH_TOKEN>"

response = http.request(request)
puts response.read_body

Response Parameters

Data

  • Type: Object
  • Description: Contains details about a company, its DOT IDs, and vehicle subscriptions.

company_id

  • Type: String
  • Description: Unique identifier for the company.

dot_ids

  • Type: Array of Strings
  • Description: List of Department of Transportation (DOT) IDs associated with the company.

vehicle_subscriptions

  • Type: Array of Objects
  • Description: Information about the vehicles and their tracking subscriptions.

vehicle_id

  • Type: String
  • Description: The unique ID of the vehicle.

vehicle_name

  • Type: String
  • Description: The name or identifier of the vehicle.

subscriptions

  • Type: Array of Objects
  • Description: Details of the tracking subscriptions associated with the vehicle.

tracking_subscription_id

  • Type: Integer
  • Description: The unique ID of the tracking subscription.

start_time

  • Type: String
  • Description: The timestamp indicating when the tracking subscription started.

end_time

  • Type: String
  • Description: The timestamp indicating when the tracking subscription ended.

Query Params
string

Specify the ID of the company as assigned by Motive.

string

dot_id

string

Specify the ID of the vehicle for which you want to check the subscription info.

string

Specify the name of the vehicle whose subscription info you want to view.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json